dojo.provide("zero.form.widget.FieldWrapperMixin");


dojo.declare("zero.form.widget.FieldWrapperMixin",null, {


		setProperties: function()
		{
			// update field properties presented on the wrapper
			this.onSetTitle(this.widget.getTitle());
			this.onSetHint(this.widget.getHint());
			this.onSetRequired(this.widget.isRequired());
			this.onSetDescription(this.widget.getDescription());
		},
		
		setWidgetConnections: function()
		{
			dojo.connect(this.widget, 'setTitle', this, 'onSetTitle');
			dojo.connect(this.widget, 'setHint', this, 'onSetHint');
			dojo.connect(this.widget, 'setIsRequired', this, 'onSetRequired');
			dojo.connect(this.widget, 'setDescription', this, 'onSetDescription');
		},
		
		
		onSetDescription: function(pDescription){},
		
		onSetTitle: function(pTitle){},
			
		onSetHint: function(pHint){},
		
		onSetRequired: function(pRequired){}		

});
